Bug 213907 - (tclpro) Review Request: tclpro - Tcl debugging environment
Review Request: tclpro - Tcl debugging environment
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On: tclcompiler tclchecker tcldebugger
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-03 13:15 EST by Wart
Modified: 2009-01-28 00:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 20:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-11-03 13:15:49 EST
Spec URL: http://www.kobold.org/~wart/fedora/tclpro.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tclpro-1.5.0-6.20061030cvs.src.rpm
Description:
The TclPro debugging suite includes a graphical debugger, a static code checker,
a compiler that writes out Tcl byte codes, and a loader that reads
byte codes.

Note:  Upstream has not released official tarballs of this package.  When I asked about it, they said they did not have time for generating official releases and that CVS snapshots should be used instead.
Comment 1 Paul F. Johnson 2006-11-03 13:56:04 EST
Release: 6 - eh? surely the release is the release relating to FE rather than
anything else!
Comment 2 Wart 2006-11-03 14:09:53 EST
I have been using it in my own private repo for about a year now, and thought it
would be easier to 'upgrade' to the FE package once it was approved if I bumped
the release instead of resetting it to 1.  Release digits are cheap, so I hoped
it wouldn't be a problem.  :)
Comment 3 Paul F. Johnson 2006-11-07 20:12:12 EST
rpmlint clean
mock clean

Review

Good

spec file in US English and clear
constant use of macros
includes documentation
noarch fine
no devel
includes clean
includes documentation
no problems with desktop file install
no problems with permissions
no ownership problems
correct use of cvs naming
no md5sum as it's a cvs checkout
software installs and runs without a problem

APPROVED
Comment 4 Wart 2006-11-07 20:17:43 EST
Thanks for the review.  Since this depends on tcldebugger and tclchecker, I'll
wait until those are approved before importing this.
Comment 5 Wart 2006-11-25 20:47:07 EST
Imported and built.  Thanks!
Comment 6 Wart 2009-01-27 19:59:35 EST
Package Change Request
======================
Package Name: tclpro
New Branches: EL-4 EL-5
Owners: wart
Comment 7 Kevin Fenzi 2009-01-28 00:59:24 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.